Bug 1308296 - Syslinux requires - Bsymbolic*/PIE
Syslinux requires - Bsymbolic*/PIE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 23:24 EST by poma
Modified: 2016-02-16 06:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 06:55:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Syslinux requires (8.74 KB, patch)
2016-02-13 23:24 EST, poma
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 19538 None None None 2016-02-15 18:05 EST
Sourceware 19615 None None None 2016-02-15 18:25 EST

  None (edit)
Description poma 2016-02-13 23:24:00 EST
Created attachment 1126935 [details]
Syslinux requires

Enable -Bsymbolic and -Bsymbolic-functions to PIE
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;a=commit;h=e20365c

Before binutils 2.26, -Bsymbolic and -Bsymbolic-functions were also
applied to PIE so that "ld -pie -Bsymbolic -E" can be used to export
symbols in PIE with local binding.  This patch re-enables -Bsymbolic
and -Bsymbolic-functions for PIE.
...

Syslinux requires
Comment 1 Nick Clifton 2016-02-16 06:55:29 EST
The patch is now incorporated into binutils-2.26-11.fc24.

Note You need to log in before you can comment on or make changes to this bug.